org.deidentifier.arx.framework.check

## Enum TransformationChecker.ScoreType

- java.lang.Object
- - java.lang.Enum<TransformationChecker.ScoreType>
  - - org.deidentifier.arx.framework.check.TransformationChecker.ScoreType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransformationChecker.ScoreType>

Enclosing class:
  TransformationChecker

    public static enum TransformationChecker.ScoreType
    extends java.lang.Enum<TransformationChecker.ScoreType>

The type of scores.

Author:
  Raffael Bild

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DP_SCORE` Use score function for differential privacy.
`INFORMATION_LOSS` Use conventional information loss.

### Method Summary

All Methods Static Methods Concrete Methods
`static TransformationChecker.ScoreType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransformationChecker.ScoreType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INFORMATION_LOSS

    public static final TransformationChecker.ScoreType INFORMATION_LOSS

Use conventional information loss.

#### DP_SCORE

    public static final TransformationChecker.ScoreType DP_SCORE

Use score function for differential privacy.

### Method Detail

#### values

    public static TransformationChecker.ScoreType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransformationChecker.ScoreType c : TransformationChecker.ScoreType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransformationChecker.ScoreType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null